Bug 1777928 - [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Summary: [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:93c8251a577bc28b43ec0ad3bba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-28 17:23 UTC by Richard Fleming
Modified: 2020-02-24 01:04 UTC (History)
2 users (show)

Fixed In Version: remmina-1.3.10-1.fc31 remmina-1.3.10-1.fc30 remmina-1.3.10-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:14:00 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (154.24 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: core_backtrace (90.28 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: cpuinfo (2.47 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: dso_list (13.66 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: environ (1.74 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: exploitable (82 bytes, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: maps (95.29 KB, text/plain)
2019-11-28 17:23 UTC, Richard Fleming
no flags Details
File: mountinfo (2.85 KB, text/plain)
2019-11-28 17:24 UTC, Richard Fleming
no flags Details
File: open_fds (11.50 KB, text/plain)
2019-11-28 17:24 UTC, Richard Fleming
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-11-28 17:24 UTC, Richard Fleming
no flags Details

Description Richard Fleming 2019-11-28 17:23:50 UTC
Description of problem:
This has been happening on a regular basis since a fresh install of FC31.

What I've been doing is using the software as normal, only with RDP sessions.

When connecting to an RDP server that is unavailable, I'll get the dialogue box that shows "Unable to establish a connection to RDP server" with the server name and a close button.  I will usually have 4-6 tabs open.

Most times I can click the close button, but on occasion the entire Remmia GUI crashes and results with this error.


Version-Release number of selected component:
remmina-1.3.6-1.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        /usr/bin/remmina
crash_function: g_type_check_instance_cast
executable:     /usr/bin/remmina
journald_cursor: s=cb84ba0aa0f94b6abe96adc6a1b3224b;i=2c3cd;b=584ae03d4e0e4747b91cbdae4187ecef;m=203f05f5c;t=5986b1010f8b6;x=9189e48c503d952d
kernel:         5.3.12-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 g_type_check_instance_cast at ../gobject/gtype.c:4053
 #1 rcw_after_configure_scrolled at /usr/src/debug/remmina-1.3.6-1.fc31.x86_64/src/rcw.c:2567
 #6 g_main_context_iteration at ../glib/gmain.c:3978
 #7 g_application_run at ../gio/gapplication.c:2559

Comment 1 Richard Fleming 2019-11-28 17:23:52 UTC
Created attachment 1640437 [details]
File: backtrace

Comment 2 Richard Fleming 2019-11-28 17:23:54 UTC
Created attachment 1640438 [details]
File: core_backtrace

Comment 3 Richard Fleming 2019-11-28 17:23:54 UTC
Created attachment 1640439 [details]
File: cpuinfo

Comment 4 Richard Fleming 2019-11-28 17:23:55 UTC
Created attachment 1640440 [details]
File: dso_list

Comment 5 Richard Fleming 2019-11-28 17:23:56 UTC
Created attachment 1640441 [details]
File: environ

Comment 6 Richard Fleming 2019-11-28 17:23:57 UTC
Created attachment 1640442 [details]
File: exploitable

Comment 7 Richard Fleming 2019-11-28 17:23:58 UTC
Created attachment 1640443 [details]
File: limits

Comment 8 Richard Fleming 2019-11-28 17:23:59 UTC
Created attachment 1640444 [details]
File: maps

Comment 9 Richard Fleming 2019-11-28 17:24:00 UTC
Created attachment 1640445 [details]
File: mountinfo

Comment 10 Richard Fleming 2019-11-28 17:24:02 UTC
Created attachment 1640446 [details]
File: open_fds

Comment 11 Richard Fleming 2019-11-28 17:24:03 UTC
Created attachment 1640447 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2020-02-08 16:53:56 UTC
FEDORA-2020-2404c9ff3b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 13 Fedora Update System 2020-02-08 17:07:07 UTC
FEDORA-EPEL-2020-e3426f6e51 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 14 Fedora Update System 2020-02-09 01:21:07 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-483cbdf643

Comment 15 Fedora Update System 2020-02-09 01:46:55 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2404c9ff3b

Comment 16 Fedora Update System 2020-02-09 01:48:03 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e3426f6e51

Comment 17 Fedora Update System 2020-02-11 01:14:00 UTC
freerdp-2.0.0-56.20200207git245fc60.fc31, guacamole-server-1.1.0-5.fc31, remmina-1.3.10-1.fc31, vinagre-3.22.0-17.fc31, weston-7.0.0-3.fc31, wlroots-0.6.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-02-17 01:26:21 UTC
freerdp-2.0.0-56.20200207git245fc60.fc30, guacamole-server-1.1.0-5.fc30, remmina-1.3.10-1.fc30, vinagre-3.22.0-16.fc30, weston-6.0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-02-24 01:04:52 UTC
guacamole-server-1.1.0-1.el7, remmina-1.3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.